<?php
  header('Content-Type: text/html; charset=utf-8');
  session_start();
  require('../valtiempoinact.php');
  require('../conectar.php');
  require('libFormato.php');
  if(isset($_POST['botonregistro']))
    {	
	$idcliente=$_POST['idcliente'];	
	 $fecharegistro=date('Y-m-d');
	 //seccion datos del cliente
	  $ap=utf8_encode($_POST['ap']);
	  $am=utf8_encode($_POST['am']);
	  $nombre=utf8_encode($_POST['nombre']);
	  $clienteregistrado=$nombre." ".$ap." ".$am; 
	  $pais=$_POST['paises'];
	  $estado=$_POST['estados'];
	  $sexo=$_POST['sexo'];
	  $mail=$_POST['mail'];
	  $mail2=$_POST['mail2'];
	  $mail3=$_POST['mail3'];
	  $edad=$_POST['edad'];
	  $intacc1=$_POST['intacc1'];
	  $coco1=$_POST['coco1'];
	  $aco1=$_POST['aco1'];
	  $num1=$_POST['num1'];
	  $intacc2=$_POST['intacc2'];
	  $coco2=$_POST['coco2'];
	  $aco2=$_POST['aco2'];
	  $num2=$_POST['num2'];
	  $motivoviaje=$_POST['motviaje'];
	  $empoinst=$_POST['empoinst'];
	  $lugardepago=$_POST['lugardepago'];
	  if($lugardepago==""){$lugardepago="MEXICO";}
	  $razonSoc=$_POST['razonSoc'];
	  $rfc=$_POST['rfc'];
	  $dirfis=$_POST['dirfact'];
	  $ttarjeta=$_POST['ttarjeta'];
	 //seccion datos renta	 
	  $folio=$_POST['folio'];
	  $fecha=$_POST['fecha'];
	  $gerente=$_POST['gerente'];
	  $coordinador=$_POST['depto'];
	  $ejecutivo=$_POST['depto2'];
	  $tipoprospeccion=$_POST['tipoprospeccion'];
	  $medio=$_POST['medio'];
	  $submedio=$_POST['submedio'];
	  
	 $fingreso=$_POST['fr'];
	 $fsalida=$_POST['fr2'];
	 $noadultos=$_POST['noadultos'];
	 $noninos=$_POST['noninos'];
	 $presupuesto=$_POST['presupuesto'];
	 $convenio=$_POST['convenio'];
	 $idioma=$_POST['idio'];
	 $palabraclave=$_POST['palabraclave'];
	 //seccion evaluacion del prospecto
	 $califica=$_POST['combo'];
	 $motivonocal=$_POST['mncal'];
	 $tiempoestancia=$_POST['comfr'];
	 $nirazon=$_POST['nic'];
	 $rangoB["rangoB"];
	 if($rangoB!=""){$tipoRango="RANGO BAJO";$rango=$rangoB;}else{$tipoRango="";$rango="";}
	 $rangoA["rangoA"];
	 if($rangoA!=""){$tipoRango="RANGO ALTO";$rango=$rangoA;}else{$tipoRango="";$rango="";}
	 //seccion evaluacion del prospecto
	 
	 $nov=$_POST[nov];
	 $inc=$_POST[inc];
	 $idcomplejo=$_POST[comp];
	 $iddepartamento=$_POST[idd];
	 $propiedad=$_POST[deparprop];
	 $camaexstatus=$_POST[camaex];
	 $nopersonas=$_POST[npers];
	 $descuento=$_POST[descuento];
	 
	  
	 $fi=$_POST[fini];
	 $ff=$_POST[ffin];
	 $complejo=$_POST['compl'];
	 $clavedepartamento=$_POST['clavedep'];
	 $montorentadep=$_POST[monto];
	 $depositogarantia=$_POST[deposito]; 
	 $personaextra=$_POST[persext]; 
	 $estacionamiento=$_POST[estmnto2];
	 $camaextra=$_POST[camaex2];
	 $cuna=$_POST[cuna2];
	 $mascota=$_POST[mascota2];
	 $sbtotdep=$_POST[subtotal];
	 $ivadep=$_POST[iva];
	 $ishdep=$_POST[ish] ;     //   se agrego  ishdep  para  el almacenamiento de ish
	 $totaldep=$_POST[total];
	 $divisadep=$_POST[divisa];
	 $tarifa=$_POST[tarifa];
	 $tipoRenta=$_POST[tipoRenta];
	 //montos generales
	 $subtotal=$_POST['subtotalg'];
	 $iva=$_POST['ivag'];
	  $ish=$_POST['ishg'];  // agrego $ish para el almacenamiento de ish
	 $total=$_POST['totalg'];
	 $tipomoneda=$_POST['tipomoneda'];
	 $divisa=$_POST['dolar'];
	 $noanos=$_POST[noanios];
	 $nomeses=$_POST[nomeses];
	 $nosem=$_POST[nosem];
	 $nodias=$_POST[nodias];
	 //seccion de pre-apartado
	 $ubicacionactual=$_POST['ubiact'];
	 $tiporegistro=$_POST['tiporegistro'];
	 $comprobante=$_POST['tipocomp'];
	 if($comprobante==""){$comprobante="SIN FACTURA";}
	 $formapago=$_POST['tipopago'];
	 if($formapago==""){$formapago="EFECTIVO";}
	 $capacidad=$_POST[cap];
	 $limite=$_POST[lim];
	 $status_renta=$_POST['status_renta'];
	 $tipo_renta=$_POST['tipo_renta'];
	 $numcitas=$_POST['numcitas'];
	 $infoadicional=$_POST['infoadicional'];
	 
	 $tipocierre=$_POST['tipocierre'];
	 $fcierrecita=$_POST['fcierrecita'];
	 $obsvcierres=$_POST['obsvcierres'];
	 
	 //DATOS PARA CALCULAR EL PLAN DE PAGOS
	$totnoche=$_POST[totnoche];
	$totsem=$_POST[totsem]; 
	$totmes=$_POST[totmes];
	$totanos=$_POST[totanos];
	
	
	//seccion descuento
	$descsol=$_POST[descsol]; 
	$autorizadesc=$_POST[autorizadesc];
	$motivodesc=$_POST[motivodesc];
	$solicitud=$_POST[solicitud];
	
		 //Seccion de limpieza y blancos   campos nuevos c.costo_limp,c.frecuencia_limp,c.periodo_limp,c.meses_limp,c.costo_blanc,c.meses_blanc
	 $costo_limp=$_POST[limpcost];
	 $frecuencia_limp=$_POST[frecuencia];
	 $periodo_limp=$_POST[periodolim];
	 $meses_limp=$_POST[limpiezas];
	 $costo_blanc=$_POST[blancost];
	 $meses_blanc=$_POST[blancos];
	
	 //INSERTA MOTIVO DE VIAJE//
	if($motivoviaje!=""){
	 $sqlmotivoviaje="select * from llenacombos where campo='MOTIVO_VIAJE' and nom='$motivoviaje'";
	 $ejemotviaje=mysql_query($sqlmotivoviaje);
	 $encontro=mysql_num_rows($ejemotviaje);
	 mysql_free_result($ejemotviaje);
	     if($encontro==0){
	         $insmotviaje="INSERT INTO llenacombos(id,nom,campo) values('','$motivoviaje','MOTIVO_VIAJE')";
		     mysql_query($insmotviaje);
	     }
	 }
	//TERMINA MOTIVO DE VIAJE//
	 //INSERTA TIPO DE PROSPECCION//
	 if($tipoprospeccion!=""){
	 $sqltipopros="select * from llenacombos where campo='TIPO_PROSPECCION' and nom='$tipoprospeccion'";
	 $ejetipopros=mysql_query($sqltipopros);
	 $encontrotipopros=mysql_num_rows($ejetipopros);
	    if($encontrotipopros==0){
	         $insmotviaje="INSERT INTO llenacombos(id,nom,campo) values('','$tipoprospeccion','TIPO_PROSPECCION')";
		     mysql_query($insmotviaje);
	     }
	 }
	 //INSERTA  TIPO DE  PROSPECCION//
	 //INSERTA  MOTIVO NO CALIFICA//
	 if($motivonocal!=""){
	 $sqlmotivonocal="SELECT * FROM llenacombos WHERE campo='MOTIVO_NO_CALIFICA' and nom='$motivonocal'";
	 $ejenocalifica=mysql_query($sqlmotivonocal);
	 $encontromotivo=mysql_num_rows($ejenocalifica);
	     if($encontromotivo==0){
	     $insmotviaje="INSERT INTO llenacombos(id,nom,campo) values('','$motivonocal','MOTIVO_NO_CALIFICA')";
	     mysql_query($insmotviaje);
	     }
	 }
	 //TERMINA  MOTIVO NO CALIFICA//
	  // ESTO ES PARA SABER SI EL MEDIO ES PAGINAS WEB Y VERIFICAR SI ES QUE SE AGREGO UN NUEVO DIRECTORIO, INSERTALO A LA TABLA
	 if($medio==1)
	 {
	    // CONSULTA PARA COMPROBAR QUE LOS DIRECTORIOS NO SE REPITAN
		$consulta_directorios=mysql_query("select count(*) as repetido from directorios where id='$submedio'",$db_conexion);
		$directorio_repetido=mysql_fetch_array($consulta_directorios);
		if($directorio_repetido['repetido']==0)
		 {
		 $inserta_directorio=mysql_query("insert into directorios(descripcion) values('$submedio')",$db_conexion);  		
		 $nuevo_id=mysql_query("select * from directorios where descripcion='$submedio'");
		  if($res_nuevo_id=mysql_fetch_array($nuevo_id))
		   {
		    $subme=$res_nuevo_id['id'];
		   }		
		 }else{
		   $subme=$submedio;	 
		 }
	 }else{	 
	 // INSERTAR SUBMEDIOS	 
	 $sqlsubmedio=mysql_query("select count(*) as repetidos from submedio where idsubmedio='$submedio'",$db_conexion);
	 $ressqlsubmedio=mysql_fetch_array($sqlsubmedio);
	 if($ressqlsubmedio['repetidos']==0)
	 {
	  $insertasubmed=mysql_query("insert into submedio(idcanal,subcanal) values('$medio','$submedio')",$db_conexion);
	  // CONSULTA PARA EXTRAER EL ID DEL NUEVO SUBMEDIO E INSERTARLO A LA TABLA RENTA
	 $idsubm=mysql_query("select * from submedio where subcanal='$submedio'",$db_conexion);
	 if($ridsubm=mysql_fetch_array($idsubm))
	 { $idsubmedio=$ridsubm['idsubmedio']; }
 	 // CONSULTA PARA EXTRAER EL ID DEL NUEVO SUBMEDIO E INSERTARLO A LA TABLA RENTA
	  $subme=$idsubmedio;
	 }else {
	  $subme=$submedio;	 
	 }
	 // TERMINA INSERTAR SUBMEDIOS	 
     //TERMINA VERIFICACION SI EXISTEN REGISTROS EN TABLA LLENACOMBOS SI NO EXISTEN REGISTRA//
	 }	 
	 // TERMINA ESTO ES PARA SABER SI EL MEDIO ES PAGINAS WEB Y VERIFICAR SI ES QUE SE AGREGO UN NUEVO DIRECTORIO, INSERTALO A LA TABLA
	

	
	/////////////////////////////////INICIA/////////*actualiza el cliente si es que es una renta nueva*////////////////////////7
	if($idcliente!="")
	{
	 $sql="UPDATE clientes SET nombre='$nombre', a_pat='$ap', a_mat='$am', email='$mail', intacc1='$intacc1', coco1='$coco1', aco1='$aco1', num1='$num1', intacc2='$intacc2', coco2='$coco2', aco2='$aco2', num2='$num2', pais='$pais', estado='$estado', edad='$edad', motivo_viaje='$motivoviaje', sexo='$sexo', empresa='$empoinst',razon_soc='$razonSoc',rfc='$rfc',direc_fis='$dirfis' ,ultimaact=CURDATE(),palclave='$palabraclave',mail2='$mail2',mail3='$mail3',prospeccion='$tipoprospeccion',medio='$medio',submedio='$submedio' WHERE id_cliente='$idcliente' ";
	 mysql_query($sql);
	}
	/////////////////////////////////////TERMINA//////*actualiza el cliente si es que es una renta nueva*////////////////////////7

	
	//INSERTA DATOS DE CLIENTES//
else{	
	$sql="INSERT INTO clientes (id_cliente,nombre,a_pat,a_mat,email,intacc1,coco1,aco1,num1,intacc2,coco2,aco2,num2,pais,estado,edad,motivo_viaje,sexo,empresa,tipo_cliente,razon_soc,rfc,direc_fis,id_emp,ultimaact,palclave,email2,email3,fecharegistro,prospeccion,medio,submedio) 
	 VALUES ('','$nombre','$ap','$am','$mail','$intacc1','$coco1','$aco1','$num1','$intacc2','$coco2','$aco2','$num2','$pais','$estado','$edad','$motivoviaje','$sexo','$empoinst','','$razonSoc','$rfc','$dirfis','$_SESSION[usuario_id]',CURDATE(),'$palabraclave','$mail2','$mail3','$fecharegistro','$tipoprospeccion','$medio','$submedio')";
	 $con=mysql_query($sql);
	 $idcliente=mysql_insert_id($db_conexion);
	 }
	 //TERMINA INSERTAR DATOS DE CLIENTES//

	 //INSERTA DATOS DE RENTA	
	 $sql="INSERT INTO  renta(id_renta ,folio ,id_cliente ,id_gerente ,id_coordinador ,id_ejecutivo ,prospeccion ,medio ,submedio ,califica ,motivo_nocal ,razon_ni ,subtotal ,iva, ish, total ,tipomoneda,divisa,comprobante ,formapago ,fecha_cierre ,tipocierre ,observaciones,tiporegistro,restante,fecha,f_ingreso,f_salida,no_adultos,no_ninios,presupuesto,ultimaact,lugardepago,plazo_cierre,ttarjeta,tipoRango,rango,convenio,idioma,fregistro_p,fultima_act_p)values('','$folio','$idcliente','$gerente','$coordinador','$ejecutivo','$tipoprospeccion','$medio','$submedio','$califica','$motivonocal','$nirazon','$subtotal','$iva','$ish','$total','$tipomoneda','$divisa','$comprobante','$formapago','$fcierrecita','$tipocierre','$obsvcierres','$tiporegistro','',CURDATE(),'$fingreso' ,'$fsalida' ,'$noadultos' ,'$noninos' ,'$presupuesto',CURDATE(),'$lugardepago',' $tiempoestancia','$ttarjeta','$tipoRango','$rango','$convenio','$idioma',NOW(),NOW())";  
	 $con=mysql_query($sql);
	 $idrenta=mysql_insert_id($db_conexion);
	//TERMINA INSERTA DATOS DE RENTA
	if(count($idcomplejo)!=0){
	//INSERTA CONCEPTOS
     foreach($idcomplejo as $indice=>$valor){
	 
	     if($estacionamiento[$indice]!=0){$estmtost="true";}else{$estmtost="false";}
	     if($cuna[$indice]!=0){$cunast="true";}else{$cunast="false";}
	     if($mascota[$indice]!=0){$mascotast="true";}else{$mascotast="false";}
         
		
		 
		//   $sql="INSERT INTO conceptos (id_concepto,id_renta,id_cliente,folio,id_complejo,id_departamento,fecha,hora_registro,dia_inicio,dia_salida,deposito,hospedaje,per_extra,garage,camaextra,cuna,mascota,subtotal,impuesto,otros,total,tipomoneda,estmtostatus,camaexstatus,cunastatus,mascotastatus,noPersonas,no_anios,no_meses,no_sem,no_dias,status_renta,descuento,autoriza_desc,motivo_desc,divisa,tarifa,tipoRenta,montoanio,montomes,montosem,montonoche,motivodesc,autorizadesc,descsol,salida_prematura)VALUES('','$idrenta','$idcliente','$folio','$idcomplejo[$indice]','$iddepartamento[$indice]',CURDATE(),CURTIME(),'$fi[$indice]','$ff[$indice]','$depositogarantia[$indice]','$montorentadep[$indice]','$personaextra[$indice]','$estacionamiento[$indice]','$camaextra[$indice]','$cuna[$indice]','$mascota[$indice]','$sbtotdep[$indice]','$ivadep[$indice]','LIBRE','$totaldep[$indice]','$tipomoneda','$estmtost','$camaexstatus[$indice]','$cunast','$mascotast','$nopersonas[$indice]','$noanos[$indice]','$nomeses[$indice]','$nosem[$indice]','$nodias[$indice]','','$descuento[$indice]','','','$divisadep[$indice]','$tarifa[$indice]','$tipoRenta[$indice]','$totanos[$indice]','$totmes[$indice]','$totsem[$indice]','$totnoche[$indice]','$motivodesc[$indice]','$autorizadesc[$indice]','$descsol[$indice]','$ff[$indice]')";
		   $totimpuestos = $ivadep[$indice] + $ishdep[$indice];
		   $sql="INSERT INTO conceptos (id_concepto,id_renta,id_cliente,folio,id_complejo,id_departamento,fecha,hora_registro,dia_inicio,dia_salida,deposito,hospedaje,per_extra,garage,camaextra,cuna,mascota,subtotal,impuesto,otros,total,tipomoneda,estmtostatus,camaexstatus,cunastatus,mascotastatus,noPersonas,no_anios,no_meses,no_sem,no_dias,status_renta,descuento,autoriza_desc,motivo_desc,divisa,tarifa,tipoRenta,montoanio,montomes,montosem,montonoche,motivodesc,autorizadesc,descsol,salida_prematura,costo_limp,frecuencia_limp,periodo_limp,meses_limp,costo_blanc,meses_blanc,ultimaact,ish)VALUES('','$idrenta','$idcliente','$folio','$idcomplejo[$indice]','$iddepartamento[$indice]',CURDATE(),CURTIME(),'$fi[$indice]','$ff[$indice]','$depositogarantia[$indice]','$montorentadep[$indice]','$personaextra[$indice]','$estacionamiento[$indice]','$camaextra[$indice]','$cuna[$indice]','$mascota[$indice]','$sbtotdep[$indice]','$totimpuestos','LIBRE','$totaldep[$indice]','$tipomoneda','$estmtost','$camaexstatus[$indice]','$cunast','$mascotast','$nopersonas[$indice]','$noanos[$indice]','$nomeses[$indice]','$nosem[$indice]','$nodias[$indice]','LIBRE','$descuento[$indice]','','','$divisadep[$indice]','$tarifa[$indice]','$tipoRenta[$indice]','$totanos[$indice]','$totmes[$indice]','$totsem[$indice]','$totnoche[$indice]','$motivodesc[$indice]','$autorizadesc[$indice]','$descsol[$indice]','$ff[$indice]','$costo_limp[$indice]','$frecuencia_limp[$indice]','$periodo_limp[$indice]','$meses_limp[$indice]','$costo_blanc[$indice]','$meses_blanc[$indice]',CURDATE(),$ishdep[$indice])";
		 
		 $con=mysql_query($sql);
		 $idconcepto=mysql_insert_id($db_conexion);
	 	if($solicitud["$indice"]==1)solicitardescuento($idconcepto); 
		  //INSERTA HUESPEDES// 
		   $huespednom=$_POST["nom$inc[$indice]"];
		   $huespedap=$_POST["ap$inc[$indice]"];
		   $huespedam=$_POST["am$inc[$indice]"];
		if($huespednom!=""){   
	         foreach($huespednom as $index=>$val) // numero de inputs
            {
			  $nombreh=strtoupper($huespednom[$index]);
			  $apath=strtoupper($huespedap[$index]);
			  $amath=strtoupper($huespedam[$index]);
		      $sql="INSERT INTO huesped(id_huesped,id_renta,id_cliente,nombre,a_pat,a_mat) VALUES ('','$idconcepto','$idcliente','$nombreh','$apath','$amath')";	
              $con=mysql_query($sql);		 
             } 
		}
    //TERMINA INSERTA HUESPEDES
	//13052019 actualiza dias de limpieza extranet
	/*if($medio == 8){
		$sqllimpieza="UPDATE conceptos SET 
		Lunes='s',
		Martes='s',
		Miercoles='s',
		Jueves='s',
		Viernes='s',
		Sabado='s',
		Domingo='s'
		WHERE id_concepto='$idconcepto'";
	  mysql_query($sqllimpieza);
		
	}
	
	if( $nodias[$indice] != 0 && $nosem[$indice] == 0 && $nomeses[$indice] == 0 && $noanos[$indice] == 0 ){
		$sqllimpieza="UPDATE conceptos SET 
		Lunes='s',
		Martes='s',
		Miercoles='s',
		Jueves='s',
		Viernes='s',
		Sabado='s',
		Domingo='s'
		WHERE id_concepto='$idconcepto'";
	  mysql_query($sqllimpieza);
		
	}*/
	
	
	if( ($nodias[$indice] > 0 && $nodias[$indice] <= 6) && $nosem[$indice] == 0 && $nomeses[$indice] == 0 && $noanos[$indice] == 0 ){
		$sqllimpieza="UPDATE conceptos SET 
		Lunes='s',
		Martes='s',
		Miercoles='s',
		Jueves='s',
		Viernes='s',
		Sabado='s',
		Domingo='s'
		WHERE id_concepto='$idconcepto'";
	  mysql_query($sqllimpieza);
		
	}
	
	
	//INSERTA DATOS DEL HUESPED PRIMARIO (UN INSERT POR CONCEPTO)
	$sql="INSERT INTO  huespedprim  (id_huespedprim, id_cliente, id_concepto, nombre, a_pat, a_mat, direccion, no_ide, tipo_ide, identificacion, telefono_trabajo, telefono_casa, emailper, emailtra,emailop2,emailop3) VALUES ('','$idcliente','$idconcepto','$nombre','$ap','$am','$dirfis','','','','$num2','$num1','$mail','','$mail2','$mail3')";
	mysql_query($sql);


	//TERMINA DE  DATOS DEL HUESPED PRIMARIO
	
	//AGREGAR PLAN DE PAGOS 
	/*$fechapago=$fi[$indice];
	list($anio,$mes,$dia)=explode("-",$fechapago);
	$rentasem=$totsem[$indice];
	$rentadias=$totnoche[$indice];
	if($noanos[$indice]>0)
	{
	$anoses=$noanos[$indice]*12;
	$rentano=$totanos[$indice]/$noanos[$indice];
		for($q=1;$q<=$anoses;$q++)
		{
 		  if($q==1){
 		  		$concepto1="deposito";
 		  		$concepto="rentanueva";
 		  		$insert="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$depositogarantia[$indice]','$concepto1','$divisa')";
 		  	  	mysql_query($insert);
 		  	  	$insert1="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$rentano','$concepto','$divisa')";
 		  	  	mysql_query($insert1);
 		  	   }
 		  elseif($q==$anoses && $nomeses[$indice]==0)//EN LA ULTIMA RENTA SE AGREGA LOS PAGOS EN CASO QUE EXISTIR SEMANAS O DIAS EXTRA
 		  {
 		   $concepto="seguimiento";
 		   $rentano1=$rentasem+$rentadias+$rentano;
		   $insert="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$rentano1','$concepto','$divisa')";  
		   mysql_query($insert1);	 
		  }
		  else
		  {
		   $concepto="seguimiento";
		  $insert="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$rentano','$concepto','$divisa')";  
		  mysql_query($insert);
		  }	
		$mes++;
		if($mes>12){ $mes=01; $anio++;}
		$fechapago=$anio."-".$mes."-".$dia;
		}
		$aux="ya";
	}
	if($nomeses[$indice]>0)
	{
	$rentames=$totmes[$indice]/$nomeses[$indice];
		for($q=1;$q<=$nomeses[$indice];$q++)
		{
 		  if($q==1){
 		  		$concepto1="deposito";
 		  		$concepto="rentanueva";
 		  		$insert="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$depositogarantia[$indice]','$concepto1','$divisa')";
				mysql_query($insert);
				mysql_query($insert1);$insert1="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$rentames','$concepto','$divisa')";
				mysql_query($insert1);
 		  	   }
 		  elseif($q==$nomeses[$indice])//EN LA ULTIMA RENTA SE AGREGA LOS PAGOS EN CASO QUE EXISTIR SEMANAS O DIAS EXTRA
 		  {
 		   $concepto="seguimiento";
 		   $rentames1=$rentasem+$rentadias+$rentames;
		  $insert="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$rentames1','$concepto','$divisa')";  
		  mysql_query($insert);
		  }
		  else
		  {
		  $concepto="seguimiento";
		  $insert="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$rentames','$concepto','$divisa')";  
		  mysql_query($insert);
		  }	
		$mes++;
		if($mes>12){ $mes=01; $anio++;}
		$fechapago=$anio."-".$mes."-".$dia;
		}
		$aux="ya";
	}
	if($nosem[$indice]>0&&$aux!="ya")
	{			$concepto1="deposito";
 		  		$concepto="rentanueva";
 		  		$rentasem=$rentasem+$rentadias;
 		  		$insert="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$depositogarantia[$indice]','$concepto1','$divisa')";
				mysql_query($insert);
				$insert1="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$rentasem','$concepto','$divisa')";
				mysql_query($insert1);
				$aux="ya";
	}
	
	if($nodias[$indice]>0&&$aux!="ya")
	{	
				$concepto1="deposito";
 		  		$concepto="rentanueva";
 		  		$insert="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$depositogarantia[$indice]','$concepto1','$divisa')";
				mysql_query($insert);
				$insert1="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$rentadias','$concepto','$divisa')";
				mysql_query($insert1);
	}*/
	//TERMINA PLAN DE PAGOS
	}
	//TERMINA INSERTA CONCEPTOS
	}
	
	//INSERTA CITAS//
	   for($i=0;$i<$numcitas;$i++) // numero de inputs
        {
		 $asistio=$_POST["asistio$i"];
         $idem=$_SESSION['usuario_id'];
	     $fechacita=$_POST["fechacita$i"];
	     $horacita=$_POST["horacita$i"];
	     $observacion=$_POST["observacion$i"];
         $sql="INSERT INTO citas (id_cita,id_renta,id_emp,fecha,asistio,hora,observacion,id_cliente) VALUES ('',(SELECT id_renta FROM renta WHERE id_cliente=(SELECT id_cliente FROM clientes WHERE nombre='$nombre' and a_pat='$ap' and a_mat='$am' and email='$mail')),'$idem','$fechacita','$asistio','$horacita','$observacion','$idcliente')";	
         $con=mysql_query($sql);		 
        } 
    //TERMINA INSERTA CITAS
	$tipocierre;
	//INSERTA CIERRES//
	  if($tipocierre!=""){
         $sql="INSERT INTO cierres (id_cierre,id_renta,id_emp,tipocierre,fecha,observacion) VALUES ('',$idrenta,'$idem','$tipocierre','$fcierrecita','$obsvcierres')";	
         $con=mysql_query($sql);		 
       }
    //TERMINA INSERTA CIERRES

	}

	function solicitardescuento ($id)
	{
	 $sql="SELECT cl.id_cliente, c.total,c.deposito,d.clave,concat(cl.nombre,' ',cl.a_pat)as cliente, concat(e.nombre,' ',e.a_pat )as ejecutivo, c.descsol, c.motivodesc,c.dia_inicio,c.dia_salida, c.tarifa From conceptos as c 
	INNER JOIN departamentos as d ON c.id_departamento=d.id_departamento
	INNER JOIN clientes as cl ON cl.id_cliente=c.id_cliente
	INNER JOIN empleados as e ON cl.id_emp=e.id_empleado
	where c.id_concepto='$id'";
	$query=mysql_query($sql);
	$renta=mysql_fetch_array($query);
	$departamento=$renta["clave"];
	$fi=$renta["dia_inicio"];
	$ff=$renta["dia_salida"];
	$ejecutivo=$renta["ejecutivo"];
	$cliente=$renta["cliente"];
	$descsol=$renta["descsol"];
	$total=$renta["total"]-$renta["deposito"];
	$descpesos=$total*($renta["descsol"]/100);
	$totdesc=$total-$descpesos;
	$motivodesc=$renta["motivodesc"];
	$tarifa=$renta["tarifa"];
	$idcl=$renta["id_cliente"];
	$sql="SELECT cl.fecha as primregis from conceptos as cl WHERE cl.id_cliente='$idcl' order by fecha asc LIMIT 1";
	$primre=mysql_query($sql);
	$primreg=mysql_fetch_array($primre);
	$primregis=$primreg["primregis"];
	$hoy=date("d-M-Y");
	
	$tabla='<table style=" background:#FFFFFF;border-collapse:collapse;border:solid 1px #A4A4A4;font-family:arial;font-size:12px;">
	                <tr><td colspan="11" align="center"><b>'.$ejecutivo.' a solicitado un descuento</b></td></tr>
	                <tr style="border-top:solid 1px #A4A4A4">
		                <td><b>DEPARTAMENTO</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>CLIENTE</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>REGISTRO DEL CLIENTE</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>PERIODO</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>DURACION DE RENTA</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>MOTIVO DE DESCUENTO</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>TARIFA</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>TOTAL ACTUAL</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>DESCUENTO </b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>DESCUENTO SOLICITADO %</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>TOTAL CON DESCUENTO</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>FECHA DE SOLICITUD</b></td>
					</tr>';
				$color="#F2F2F2";
				$tabla=$tabla.'
		             <tr style="border-top:solid 1px #A4A4A4;background:'.$color.';">
					    <td>('.$departamento.')</td>
					    <td style="border-left:solid 1px #A4A4A4">'.$cliente.'</td>
					    <td style="border-left:solid 1px #A4A4A4">'.$primregis.'</td>
					    <td style="border-left:solid 1px #A4A4A4">del '.$fi.' al '.$ff.'</td>
					    <td style="border-left:solid 1px #A4A4A4">'.periodo($fi,$ff).'</td>
					    <td style="border-left:solid 1px #A4A4A4">'.$motivodesc.'</td>
					    <td style="border-left:solid 1px #A4A4A4">'.$tarifa.'</td>
					    <td style="border-left:solid 1px #A4A4A4">'.moneda($total).'</td>
						<td style="border-left:solid 1px #A4A4A4">'.moneda($descpesos).'</td>
						<td style="border-left:solid 1px #A4A4A4">'.$descsol.'%</td>
						<td style="border-left:solid 1px #A4A4A4">'.moneda($totdesc).'</td>
						<td style="border-left:solid 1px #A4A4A4">'.$hoy.'</td>
					 </tr>';
	$tabla=$tabla.'</table>';

	 $mail="avilaalberto@hotmail.com";
	 $from="turisiscom@hotmail.com";
	 $destinatario = $mail; 
     $asunto = "Solicitud de descuento"; 
     $cuerpo=$tabla;
     $cuerpo.="<br><a href='http://crmturismo.mexicoenrenta.com.mx/administrador/autorizadesc.php?idc=$id'>clic para autorizar descuento</a>";
     $headers = "MIME-Version: 1.0\r\n";
     $headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
     $headers .= "From: $from\r\n";  
     $headers .= "Reply-To: avilaalberto@hotmail.com\r\n"; 
     $headers .= "Return-path: avilaalberto@hotmail.com\r\n"; 
     $headers .= "Cc: econosuitesa@gmail.com,turisiscom@hotmail.com,gerenciamexrent@mexicoenrenta.com.mx,econosuites.karlacantu@gmail.com\r\n"; 
     $headers .= "Bcc:\r\n"; 
     mail($destinatario,$asunto,$cuerpo,$headers);
	
	}

function periodo($fi,$ff){
  $noanioses=0; $nomeseses=0; $numerosemanases=0;  $numerodiasdias=0;	$mes=0;
				 
				 list($anioies,$mesies,$diaies)=explode("-",$fi);
				 list($aniofes,$mesfes,$diafes)=explode("-",$ff);
				 $mes=$mesies;
				 $mesextraes=$aniofes-$anioies;
				 $mesfes1=$mesfes+($mesextraes*12);
				 $nomeseses=$mesfes1-$mesies;
				 $diasenmesultimo= cal_days_in_month(CAL_GREGORIAN, $mesfes, $aniofes); 
				 if($diafes<$diaies&&$diasenmesultimo!=$diafes)
				 {
				 $nomeseses--;
				 if($nomeseses==0&&$mesextraes>0)
				 { $nomeseses=0; }
				 $numero = cal_days_in_month(CAL_GREGORIAN, $mes, $aniofes); 
				$diafes=$diafes+$numero;
				}
				if($diasenmesultimo==$diafes&&$diafes<$diaies)
				 {	$numerodiasdias=0;		}
				else{$numerodiasdias=$diafes-$diaies;}
				while($numerodiasdias>=7)
				 {
				 $numerodiasdias=$numerodiasdias-7;
				 
				 $numerosemanases++;
				 }
		
				while($nomeseses>=12)
				 {
				 $noanioses++;
				 $nomeseses=$nomeseses-12;
				 }
				$anios=$noanioses; $meses=$nomeseses; $semred=$numerosemanases;  $restodias=$numerodiasdias ;
 if($anios>0)$periodo.="$anios años ";
 if($meses>0)$periodo.="$meses meses ";
 if($semred>0)$periodo.="$semred Semanas ";
 if($restodias>0)$periodo.="$restodias noche(s) ";
 return($periodo);
 }	
	
?>	
<center>
<table >
<tr>
<td >Los datos han sido registrados correctamente</td>
</tr>
<tr align="center">
<td>Regresar a <a href="regmodificar2.php?idcliente=<?echo$idcliente;?>&idrenta=<?echo$idrenta;?>"><?echo $clienteregistrado?></a></td>
</tr>
<tr align="center">
<td ><a href="javascript:window.close()">Salir </a></td>
</tr>
</table>
</center>
